%% Replicate Figures 1 and 2.

titles = {'Model 0','Model I','Model II','Model III','Model IV',...
    'Model V','Model VI','Model VII'};

for modi = 1:8 % For each model

    load(strcat('Model',num2str(modi-1),'.mat')); % Load results
    
    % Graph output response (assuming this is only variable of interest).
    figure;
    plot(0:opt.H,credubGK,'-k','LineWidth',2);
    hold on;
    plot(0:opt.H,credlbGK,'-k','LineWidth',2);
    plot(0:opt.H,rSinglePriorMean,'ko','MarkerFaceColor','k');
    plot(0:opt.H,hpdlb,'--k','LineWidth',2);
    plot(0:opt.H,hpdub,'--k','LineWidth',2);
    plot(0:opt.H,meanlbGK,'color','k','LineStyle','--');
    plot(0:opt.H,meanubGK,'color','k','LineStyle','--');
    
    for hh = 0:opt.H
        line([hh hh],[meanlbGK(hh+1) meanubGK(hh+1)],'color','k');
    end

    line([0 opt.H],[0 0],'color','black','LineStyle',':');
    ylim([-1 1]);
    ylabel('%');
    xlabel('Horizon (quarters)');
    title(titles{modi});
    
    oldFolder = pwd;
    cd('Figures');
    print(titles{modi},'-dpng');
    print(titles{modi},'-depsc');
    cd(oldFolder);
    
end

